import { pogo } from "../../../deps.ts"
import S3Files from "../../generated/s3.ts"

export default {
    method: ["*"],
    domains: ["dreamland.lio.systems", "localhost:3000"],
    handler: (r: pogo.Request, h: pogo.Toolkit) => {
        const filter = r.searchParams.get("filter")
        if (!filter) return S3Files
        const Files = S3Files.filter(File => {
            return File.key.startsWith(filter)
        })
        return Files

    }
}