import { pogo } from "../../../../deps.ts"

export default {
    method: ["*"],
    domains: ["*"],
    handler: async (r: pogo.Request, h: pogo.Toolkit) => {
        if ((r.searchParams.get("token")) === Deno.env.get("TOKEN")) {
            try {
                const sss = await Deno.run({
                    cmd: ["deno", "run", "-A", "--unstable", "./scripts/s3.ts"]
                })
                const status = sss.status()

                return { "yes": "yes", status }
            } catch (error) {
                return error
            }
        } else {
            return { "no": "no" }
        }
    }
}